[Pythonmac-SIG] Building universal PyOpenGL

Kent Quirk kent_quirk at cognitoy.com
Thu Jun 22 14:46:05 CEST 2006


Ronald Oussoren wrote:
>
> On 22-jun-2006, at 5:11, Kent Quirk wrote:
>
>> Hi. I got my new MacBook and looked on pythonmac.org for prebuilt
>> packages for universal python 2.4.3. I've got wxPython and it seems to
>> work, but I also need PyOpenGL, and it's not listed up there. So I got
>> the source and I'm trying to build it.
>
> What happens when you build PyOpenGL for the system python? That would 
> help in finding out who to blame for this ;-)
>
> Ronald
>

That has basically the same result; the gcc command line is different 
(naming the system python 2.3 frameworks instead of the 2.4) but the 
error messages and line numbers are the same.

By the way, this error repeats maybe hundreds of times, seemingly once 
for each file being built. The build system seems to ignore the errors 
until after it's tried to build all of the files.




More information about the Pythonmac-SIG mailing list